Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read, set, or remove a subscription’s authorized source IP.
curl --request GET \ --url "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/${SUBSCRIPTION_ID}/ip-authorization" \ --header "Authorization: Bearer ${DOUBLEDATA_API_KEY}"
null
{ "ip_authorization": "192.0.2.40" }
export SOURCE_IP="192.0.2.40" curl --request PUT \ --url "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/${SUBSCRIPTION_ID}/ip-authorization" \ --header "Authorization: Bearer ${DOUBLEDATA_API_KEY}" \ --header "Content-Type: application/json" \ --data "{\"ip\":\"${SOURCE_IP}\"}"
PUT
curl --request DELETE \ --url "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/${SUBSCRIPTION_ID}/ip-authorization" \ --header "Authorization: Bearer ${DOUBLEDATA_API_KEY}"
DELETE
{"ip_authorization": null}